summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2010-07-19 11:57:35 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2010-07-19 13:19:02 +0200
commitf985e3cd2a1f789ca6205f920bc451a74c74e2b5 (patch)
treef82422da46a41143ba9652cb0a4df7504a14fee9 /scripts
parent3b2902fbf50690a2f7d1d42fd5d4c3e88d9f1b40 (diff)
downloadptxdist-f985e3cd2a1f789ca6205f920bc451a74c74e2b5.tar.gz
ptxdist-f985e3cd2a1f789ca6205f920bc451a74c74e2b5.tar.xz
[production] rename PROD_PLATFORMDIR -> BASE_PLATFORMDIR
This the preparation to have a base platform that is not provided by a production build. Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de> Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/lib/ptxd_make_00-init.sh18
-rw-r--r--scripts/lib/ptxd_make_image_common.sh10
2 files changed, 14 insertions, 14 deletions
diff --git a/scripts/lib/ptxd_make_00-init.sh b/scripts/lib/ptxd_make_00-init.sh
index 5568efc2c..3f01acaa5 100644
--- a/scripts/lib/ptxd_make_00-init.sh
+++ b/scripts/lib/ptxd_make_00-init.sh
@@ -78,9 +78,9 @@ ptxd_init_sysroot_toolchain() {
# figure out if we use a production BSP
#
# out:
-# sysroot_production
+# sysroot_base_platform
#
-ptxd_init_get_sysroot_production() {
+ptxd_init_get_sysroot_base_platform() {
local prefix
prefix="$(ptxd_get_ptxconf PTXCONF_PROJECT_USE_PRODUCTION_PREFIX)" || return
@@ -96,10 +96,10 @@ ptxd_init_get_sysroot_production() {
fi
# FIXME: HACK we hardcode "sysroot-target" here
- sysroot_production="${prefix}/sysroot-target"
+ sysroot_base_platform="${prefix}/sysroot-target"
- PTXDIST_PROD_PLATFORMDIR="${prefix}"
- export PTXDIST_PROD_PLATFORMDIR
+ PTXDIST_BASE_PLATFORMDIR="${prefix}"
+ export PTXDIST_BASE_PLATFORMDIR
}
@@ -117,10 +117,10 @@ ptxd_init_ptxdist_path_sysroot() {
local sysroot="$(ptxd_get_ptxconf PTXCONF_SYSROOT_TARGET)"
local sysroot_prefix="${sysroot}:${sysroot}/usr"
- local sysroot_production
- if ptxd_init_get_sysroot_production; then
- sysroot="${sysroot}:${sysroot_production}"
- sysroot_prefix="${sysroot_prefix}:${sysroot_production}:${sysroot_production}/usr"
+ local sysroot_base_platform
+ if ptxd_init_get_sysroot_base_platform; then
+ sysroot="${sysroot}:${sysroot_base_platform}"
+ sysroot_prefix="${sysroot_prefix}:${sysroot_base_platform}:${sysroot_base_platform}/usr"
fi
local sysroot_all="${sysroot}"
diff --git a/scripts/lib/ptxd_make_image_common.sh b/scripts/lib/ptxd_make_image_common.sh
index 7cb0ed64d..b0525d746 100644
--- a/scripts/lib/ptxd_make_image_common.sh
+++ b/scripts/lib/ptxd_make_image_common.sh
@@ -53,14 +53,14 @@ Run first 'ptxdist clean root' then 'ptxdist images' again.
#
# take care about production build
#
- if [ -n "${PTXDIST_PROD_PLATFORMDIR}" ]; then
- if ! ptxd_get_path "${PTXDIST_PROD_PLATFORMDIR}/packages/*.ipk"; then
- ptxd_bailout "use production BSP: no ipkg files found in '${PTXDIST_PROD_PLATFORMDIR}/packages'"
+ if [ -n "${PTXDIST_BASE_PLATFORMDIR}" ]; then
+ if ! ptxd_get_path "${PTXDIST_BASE_PLATFORMDIR}/packages/*.ipk"; then
+ ptxd_bailout "use production BSP: no ipkg files found in '${PTXDIST_BASE_PLATFORMDIR}/packages'"
fi
ptxd_reply_ipkg_files=( "${ptxd_reply_ipkg_files[@]}" "${ptxd_reply[@]}" )
- if ! ptxd_get_path "${PTXDIST_PROD_PLATFORMDIR}/state/*.perms"; then
- ptxd_bailout "use production BSP: no perms files found in '${PTXDIST_PROD_PLATFORMDIR}/state"
+ if ! ptxd_get_path "${PTXDIST_BASE_PLATFORMDIR}/state/*.perms"; then
+ ptxd_bailout "use production BSP: no perms files found in '${PTXDIST_BASE_PLATFORMDIR}/state"
fi
ptxd_reply_perm_files=( "${ptxd_reply_perm_files[@]}" "${ptxd_reply[@]}" )
fi